Bug 442437 - Review Request: edje - A graphical layout and animation library
Review Request: edje - A graphical layout and animation library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Extras Quality Assurance
:
Depends On: 442266 442353
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-14 15:45 EDT by Pavel Shevchuk
Modified: 2008-05-06 13:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 13:57:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pertusus: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Pavel Shevchuk 2008-04-14 15:45:47 EDT
Spec URL: http://rpm.scwlab.com/edje-goes-rawhide/edje.spec
SRPM URL: http://rpm.scwlab.com/edje-goes-rawhide/edje-0.5.0.042-1.fc9.src.rpm
RPMs for i386 and x86_64 built in mock: http://rpm.scwlab.com/edje-goes-rawhide/

Description: 
A graphical layout and animation library for animated resizable, compressed and
scalable themes.

RPMLint is silent on all RPMs i built.
License is a bit customized, but Tom "spot" Callawayin from fedora-legal-list 
said it's MIT ( https://www.redhat.com/archives/fedora-legal-list/2008-April/
msg00020.html )
I've been able to successfully use rpms built in mock on different machine to 
built software against this library.
Comment 1 Pavel Shevchuk 2008-05-03 20:34:06 EDT
* Sun May 04 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.5.0.042-2
- Added missing dependencies for edje-devel
- Fixed timestamp of source tarball
- Preserve timestamps of installed files
- Added html docs


New spec: http://rpm.scwlab.com/edje-goes-rawhide/edje.spec
New SRPM: http://rpm.scwlab.com/fedora/e/9/edje-0.5.0.042-2.x86_64/
edje-0.5.0.042-2.fc9.src.rpm
Built RPMs: http://rpm.scwlab.com/fedora/e/9/
Comment 2 Patrice Dumas 2008-05-06 06:05:30 EDT
* rpmlint is silent
* pseudo MIT license included
* follow packaging guidelines
* match upstream:
fc95528409351acea7a48862331eaffd  edje-0.5.0.042.tar.bz2
* %files section right
* library correctly packaged

X missing pkgconfig Requires for devel.

Also I would suggest breaking the buildrequires at 80 columns.

APPROVED with the pkgconfig Requires for devel.
Comment 3 Pavel Shevchuk 2008-05-06 06:17:24 EDT
New Package CVS Request
=======================
Package Name: edje
Short Description: A graphical layout and animation library
Owners: stalwart
Branches: F-8 F-9
InitialCC:
Cvsextras Commits: yes
Comment 4 Kevin Fenzi 2008-05-06 12:21:12 EDT
cvs done.
Comment 5 Pavel Shevchuk 2008-05-06 13:57:26 EDT
Koji finished building packages. Thanks to everyone!

Note You need to log in before you can comment on or make changes to this bug.